<%@page import="java.util.*,javax.sql.*,java.sql.*,javax.naming.*,m05bClasses.*,java.io.PrintWriter" %>
<%@include file="/mantenimientosJSP/includes/m05b.inc"%>
<!-- Para poder mostrar los caracteres especiales en los mensajes javascript -->
<%@page contentType="text/html; charset=UTF-8" %>
	

<!-- Fecha de creacion: (15/12/03) -->
	
<%
	// _______________________________XLNETs______________________________________
	// Evaluar variable de session que indica si esta conectado a XLNets
	if (session.getAttribute("objetoSeguridad") == null)  { 
		// Verificar que no ha transcurrido el tiempo de sesion (web.xml) %>
			<%@ include file="/m05bControlAcceso.inc"%> 
<%
	} 
	String persona = (String) session.getAttribute("persona");
%>
	<%@ include file="/m05bIdioma.inc"%>
<HTML>
<link rel="stylesheet" href="<%=m05bConstantesPaginas.PATH_ESTILOS%>/m05bestilos.css" type="text/css">
<head>
		<title><%= resTit.getString("titCochesLibresBusqueda")%></title>
		<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=UTF-8">
		<script language="javascript1.2" src="<%=m05bConstantesPaginas.PATH_SCRIPTS%>/m05Funciones.js"></script>
		<script language="javascript1.2" src="<%=m05bConstantesPaginas.PATH_SCRIPTS%>/formateador.js"></script>	
</head>
<BODY style="cursor: wait" onkeydown="cancelaEnter();" onload="document.body.style.cursor='default';return false;" onunload="document.body.style.cursor='wait';">
 <%//@ include file="/mantenimientosJSP/includes/m05Cabecera_c.jsp"%>
<p>
	<!--          CAPA ESPERA       -->
<FORM NAME="formCochesLibres" METHOD="POST">
		<%
		    	//Abrir la conexion
				java.sql.Connection m05bConn = null;
				PreparedStatement pstmt= null, m05bPstmt = null;
				ResultSet rs = null, m05bRS = null;
				String sql="", cadena="";
				int contTotal = 0;
		    	String rango = "", fecDesde="", fecHasta="";

		try{
			m05bFileLog miLog = new m05bFileLog();
			m05bCampos miCampo = new m05bCampos();			
			m05bConexion miConex = new m05bConexion();
			m05bConn = miConex.getConnection();

			String mensaje = request.getParameter("Mensaje")==null?"":request.getParameter("Mensaje");
			if (mensaje.equals("true")) {
				PrintWriter outMsg= response.getWriter();
				 outMsg.println("<script>alert(dameAlerta(idioma, 3));</script>");
				 outMsg.close();
			}
			String matricula="", marca="", color="",  kmact="", modelo="", ubicacion=""; 
			String horDesde="", horHasta="";
			String tablas="", where = "", campos="", order="";
			String conRango="", conOT, conAsig; 
			String con2="", con3="", con4="", con5="", conDesc="", con7="";
			String subOT="", subAsig="", aux="";
			rango = request.getParameter("Rango")==null?"":request.getParameter("Rango");
			String permanente = request.getParameter("Perm")==null?"N":request.getParameter("Perm");
			miLog.addTraza(persona, "Coches Libres Asig", "PERMANENTE: " + permanente, m05bConstantes.LOG_NIVEL_BAJO);
			String strIdioma="E";
			
			  if(idiomaSes.equals("es")){
			
				  strIdioma="";
			  }
			if ( (mensaje.equals("true")) || (mensaje.equals("Temporal")) ){
         			sql = "select MATRIC_96, KMACT_96, MARCA_96, COLOR_96, UBICACION_96, MODELO_96, RANGO_96  " +
					         "from " + m05bConstantes.TAB_COCHESLIBRES +
					    	" where USUARIO_96 = '" + persona + "'";
		 			order = " order  by  MATRIC_96";
				    if (rango.equals(""))
				       conRango="";
				    else
				       conRango=" AND RANGO_96 = '" + rango + "' ";
		 			sql += conRango + order;
					miLog.addTraza(persona, "Coches Libres Asig", "SQL-1: " + sql, m05bConstantes.LOG_NIVEL_BAJO);
			} else {
				// Se entra por primera vez
				    //String forFecha="YYYYMMDDHH24MISS";
				
					String forFecha="yyyy/mm/dd HH24:MI:SS";
					  if(idiomaSes.equals("es")){
						  forFecha="dd/mm/yyyy HH24:MI:SS";
						
					  }
					rango = request.getParameter("Rango");
				    fecDesde=request.getParameter("Desde");
				    fecHasta=request.getParameter("Hasta");
				    horDesde=request.getParameter("HoraDesde");
				    horHasta=request.getParameter("HoraHasta");
				    
				    String strDesde=fecDesde+" "+horDesde;
				    String strHasta=fecHasta+" "+horHasta;
				  /*  String strDesde=fecDesde.substring(fecDesde.lastIndexOf("/")+1,fecDesde.length());
				    fecDesde=fecDesde.substring(0,fecDesde.lastIndexOf("/"));
				    aux=fecDesde.substring(fecDesde.indexOf("/")+1,fecDesde.length());
				    if (aux.length()==1)
				        aux="0"+aux;
				    strDesde=strDesde+aux;
				    aux=fecDesde.substring(0,fecDesde.indexOf("/"));
				    if (aux.length()==1)
				        aux="0"+aux;
				    strDesde=strDesde+aux;
				    String strHasta=fecHasta.substring(fecHasta.lastIndexOf("/")+1,fecHasta.length());
				    fecHasta=fecHasta.substring(0,fecHasta.lastIndexOf("/"));
				    aux=fecHasta.substring(fecHasta.indexOf("/")+1,fecHasta.length());
				    if (aux.length()==1)
				        aux="0"+aux;
				    strHasta=strHasta+aux;
				    aux=fecHasta.substring(0,fecHasta.indexOf("/"));
				    if (aux.length()==1)
				        aux="0"+aux;
				    strHasta=strHasta+aux;
				    if (horDesde.indexOf(":")==1)
				        strDesde=strDesde+"0"+horDesde.substring(0,horDesde.indexOf(":"));
				    else
				        strDesde=strDesde+horDesde.substring(0,horDesde.indexOf(":"));
				    horDesde=horDesde.substring(horDesde.indexOf(":")+1,horDesde.length());
				    strDesde=strDesde+horDesde.substring(0,2)+"00";

				    if (horHasta.indexOf(":")==1)
				        strHasta=strHasta+"0"+horHasta.substring(0,horHasta.indexOf(":"));
				    else
				        strHasta=strHasta+horHasta.substring(0,horHasta.indexOf(":"));
				    horHasta=horHasta.substring(horHasta.indexOf(":")+1,horHasta.length());
				    strHasta=strHasta+horHasta.substring(0,2)+"00";
				    */
					// Borrado de tabla temporal
					sql="delete from " + m05bConstantes.TAB_COCHESLIBRES + 
						" where " + m05bConstantes.COL_96_USUARIO + " = '" + persona + "'";
					
					pstmt = m05bConn.prepareStatement(sql);
					pstmt.executeUpdate();
			    
				    where =" where  V." + m05bConstantes.COL_34_SITUACION + " = '" + m05bConstantes.VEH_ALTA + "'";  

				    color=	" AND C." + m05bConstantes.COL_99_CODTABLA + " (+) = " + m05bConstantes.DESC_COLORES + " AND V." +
				    		m05bConstantes.COL_34_COLOR + " = C." + m05bConstantes.COL_99_CODDESC + " (+)" ;

				    marca=	" AND M." + m05bConstantes.COL_99_CODTABLA + " (+) = " + m05bConstantes.DESC_MARCAS + " AND V." +
				    		m05bConstantes.COL_34_MARCA + " = M." + m05bConstantes.COL_99_CODDESC + " (+)" ;

				    //ubicacion=	" AND P." + m05bConstantes.COL_99_CODTABLA + " (+) = " + m05bConstantes.DESC_UBICACIONES + " AND V." +
				    //		m05bConstantes.COL_34_APARCADO + " = P." + m05bConstantes.COL_99_CODDESC + " (+) ";

				    modelo = " AND MOD." + m05bConstantes.COL_17_CODMOD + " (+) = V." + m05bConstantes.COL_34_MODELO;
				    
				    if (rango.equals(""))
				       conRango="";
				    else
				       conRango="V." + m05bConstantes.COL_34_RANGO + " = '"+ rango + "' ";
				    
				    conOT = " and V." + m05bConstantes.COL_34_MATRICULA + " = OT." + m05bConstantes.COL_34_MATRICULA;
				    conAsig = " V." + m05bConstantes.COL_34_MATRICULA + " = ASIG." + m05bConstantes.COL_34_MATRICULA;

				    /*con2=" AND "+m05bConstantes.COL_34_MATRICULA+" NOT IN (select "+m05bConstantes.COL_01_MATRICULA+
				    	" FROM "+m05bConstantes.TAB_ASIGNACION+" WHERE "+m05bConstantes.COL_01_FINALIZA+"='N')";

				    con3=" AND "+m05bConstantes.COL_34_MATRICULA+" NOT IN (select "+m05bConstantes.COL_01_MATRICULA+
				    		" FROM "+m05bConstantes.TAB_ASIGNACION+" WHERE "+m05bConstantes.COL_01_FDESDE+" NOT "+
				    		"BETWEEN TO_DATE ('"+strDesde+"','"+forFecha+"') AND TO_DATE ('"+
				        	strHasta+"','"+forFecha+"'))";

				    con4 =" AND "+m05bConstantes.COL_34_MATRICULA+" NOT IN (select "+
				    		m05bConstantes.COL_20_MATRICULA+" FROM "+m05bConstantes.TAB_ORDENESTRAB+" WHERE "+
				    		m05bConstantes.COL_20_FENTRADA+" NOT BETWEEN TO_DATE ('"+strDesde+"','"+forFecha+"') AND "+
				    		" TO_DATE ('"+strHasta+"','"+forFecha+"') AND (("+m05bConstantes.COL_20_FSALIDA+")is null))";

				    con5=" AND "+m05bConstantes.COL_34_MATRICULA+" NOT IN (select "+m05bConstantes.COL_01_MATRICULA+
				    		" FROM "+m05bConstantes.TAB_ASIGNACION+" WHERE "+m05bConstantes.COL_01_FHASTA+" NOT "+
				    		"BETWEEN TO_DATE ('"+strDesde+"','"+forFecha+"') AND TO_DATE ('"+
				        	strHasta+"','"+forFecha+"'))";

				    con7 = " AND "+ m05bConstantes.COL_34_MATRICULA +" NOT IN (select "+m05bConstantes.COL_01_MATRICULA+
				           " FROM "+m05bConstantes.TAB_ASIGNACION +" WHERE "+m05bConstantes.COL_01_FDESDE+" <= TO_DATE ('"+strDesde+"','"+forFecha+"')"+
				           " AND "+m05bConstantes.COL_01_FHASTA +" <= TO_DATE ('"+strHasta+"','"+forFecha+"'))";

				    where = where + conRango+con2+con3+con4+con5+con7+conDesc;*/
				    
				    conDesc = modelo + marca + ubicacion + color;
					//where = where + conOT + " AND " + conAsig + conDesc;
					if (permanente.equals("N")) {
				    	where = where + " AND " + conRango + conOT + " AND " + conAsig + conDesc;
				    } else {
				    	where = where + " AND " + conRango + " AND " + conAsig + conDesc;
				    }
			
					
				    campos="select V." + m05bConstantes.COL_34_MATRICULA + ",	V." + m05bConstantes.COL_34_KMACTUALES +
				    		", M." + m05bConstantes.COL_99_DESCRIPCION + ", NVL(C."+strIdioma + m05bConstantes.COL_99_DESCRIPCION +
				    				",C." + m05bConstantes.COL_99_DESCRIPCION +")"+
				    		", V." + m05bConstantes.COL_34_APARCADO + ", MOD." + m05bConstantes.COL_17_DESCRIP +",    C.COD_DESC_99";

				    tablas=" from " + m05bConstantes.TAB_DESCRIPCIONES + " C" + 
						//	", " + m05bConstantes.TAB_DESCRIPCIONES + " P " + 
							", " + m05bConstantes.TAB_DESCRIPCIONES + " M " + 
				    		", " + m05bConstantes.TAB_MODELOS + " MOD "+
							", " + m05bConstantes.TAB_VEHICULOS +  " V " ;
					
					    subOT=" (select " + m05bConstantes.COL_34_MATRICULA +
					    		" from " + m05bConstantes.TAB_VEHICULOS +
					    		" where " + m05bConstantes.COL_34_MATRICULA + 
					    				" not in (select " + m05bConstantes.COL_20_MATRICULA +
					    							" from " + m05bConstantes.TAB_ORDENESTRAB +
					    							" where (( " + m05bConstantes.COL_20_FSALIDA+" IS NULL )" +
													" OR ( " + m05bConstantes.COL_20_FENTRADA+" BETWEEN TO_DATE('"+strDesde+"','"+forFecha+"') " +
													" AND TO_DATE('" + strHasta+ "','" + forFecha + "') " +
													" or " + m05bConstantes.COL_20_FSALIDA+" BETWEEN TO_DATE('"+strDesde+"','"+forFecha+"') " +
													" AND TO_DATE('" + strHasta+ "','" + forFecha + "') " +
													" or (" + m05bConstantes.COL_20_FENTRADA+" <= TO_DATE ('"+strDesde+"','"+forFecha+"') " +
													" AND " + m05bConstantes.COL_20_FSALIDA+" >= TO_DATE ('" + strHasta+ "','" + forFecha + "') )" +
													" or (" + m05bConstantes.COL_20_FENTRADA+" >= TO_DATE ('"+strDesde+"','"+forFecha+"') " +
													" AND " + m05bConstantes.COL_20_FSALIDA+" <= TO_DATE ('" + strHasta+ "','" + forFecha + "')))))  ) OT";				    	
					    subAsig=" (select " + m05bConstantes.COL_34_MATRICULA +
					    		" from " + m05bConstantes.TAB_VEHICULOS +
					    		" where " + m05bConstantes.COL_34_MATRICULA + 
					    				" not in (select " + m05bConstantes.COL_01_MATRICULA +
					    							" from " + m05bConstantes.TAB_ASIGNACION +
					    							" where  " +  m05bConstantes.COL_01_FINALIZA + " = 'N' " + 
					    							" or ( " + m05bConstantes.COL_01_FDESDE + 
				    									" between to_date ('"+strDesde+"','"+forFecha+"') " +
				    									" and to_date ('" + strHasta+ "','" + forFecha + "')" +
					   								" or " + m05bConstantes.COL_01_FDEVOL + 
				    									" between to_date ('"+strDesde+"','"+forFecha+"') " +
				    									" and to_date ('" + strHasta+ "','" + forFecha + "') " +
													" or ( " + m05bConstantes.COL_01_FDESDE + " <= " +
				    									" to_date ('"+strDesde+"','"+forFecha+"') " +
					   									" and " + m05bConstantes.COL_01_FDEVOL + " >= " +
				    									" to_date ('" + strHasta+ "','" + forFecha + "')) " +				    		
					   								" or ( " + m05bConstantes.COL_01_FDESDE + " >= " +
				    									" to_date ('"+strDesde+"','"+forFecha+"') " +
					   									" and " + m05bConstantes.COL_01_FDEVOL + " <= " +
				    									" to_date ('" + strHasta+ "','" + forFecha + "')" + " )))) ASIG ";
					if (permanente.equals("N")) {
					    tablas = tablas + ", " + subOT + ", " + subAsig;
					} else {
					    tablas = tablas + ", " + subAsig;
					}
					
				    order =" order by V."+m05bConstantes.COL_34_MATRICULA ;
				    
					sql = campos+tablas+where+order;
					miLog.addTraza(persona, "Coches Libres Asig", "SQL-2: " + sql, m05bConstantes.LOG_NIVEL_BAJO);
			}
		%>
			<!--     BOTONERA     -->
			<TABLE class="general">
			    <tr align="right">
					  <td width="80%">
					  	<input type="button" class="boton" name="<%= res.getString("etBOT_RETORNAR")%>" value="<%= res.getString("etBOT_RETORNAR")%>" ONCLICK="JavaScript:window.close();return false;" onMouseOver="top.status='<%= res.getString("etBOT_STATUSRETORNAR")%>'; return false" onMouseOut="top.status=''; return false" />
					  </td>
				      <td width="10%"> 
				      	<input type="button" class="boton" name="<%= res.getString("etBOT_PRESENTAR")%>" value="<%= res.getString("etBOT_PRESENTAR")%>" ONCLICK="JavaScript:fncImprimir(); return false" onMouseOver="top.status='<%= res.getString("etBOT_STATUSPRESENTAR")%>'; return false" onMouseOut="top.status=''; return false" />
				      </td>
				      <td width="10%"> 
				      	<input type="button" class="boton" name="<%= res.getString("etBOT_GRABAR")%>" value="<%= res.getString("etBOT_GRABAR")%>" ONCLICK="JavaScript:fncGrabar( );return false;" onMouseOver="top.status='<%= res.getString("etBOT_STATUSGRABAR")%>'; return false" onMouseOut="top.status=''; return false" />
				      </td>
				</tr>
			</TABLE>
		  <TABLE class="general">
		    <tr>
		      <td width="2%" class="searchTitle">&nbsp&nbsp</td>
		      <td width="15%" class="searchTitle"><%= res.getString("etMatricula")%></td>
		      <td width="12%" class="searchTitle"><%= res.getString("etMarca")%></td>
		      <td width="20%" class="searchTitle"><%= res.getString("etModelo")%></td>
		      <td width="10%" class="searchTitle"><%= res.getString("etColor")%></td>
		      <td width="10%" class="searchTitle"><%= res.getString("etKmActuales")%></td>
		      <td width="31%" class="searchTitle"><%= res.getString("etUbicacion")%></td>
		    </tr>
			
		<%
			m05bCombo miCombo = new m05bCombo();
		    m05bPstmt = m05bConn.prepareStatement(sql);
			m05bRS = m05bPstmt.executeQuery();
		    ubicacion=""; color=""; kmact=""; marca=""; modelo="";

		    //String matAux="";
		    //String tabAux="";
		    String kmsalid="";
		    String idcolor="";
			while (m05bRS.next() == true) {
		        //if (matAux.equals("")){
				    matricula= m05bRS.getString(1);
		            //matAux=matricula;
		            //tabAux= m05bRS.getString(m05bConstantes.COL_99_CODTABLA);
		            kmsalid= m05bRS.getString(2);
		            //if (tabAux.equals("1")) 
		            	color=m05bRS.getString(4)==null?"":m05bRS.getString(4);
		              	idcolor=m05bRS.getString(7)==null?"":m05bRS.getString(7);
		           	kmact=m05bRS.getString(2)==null?"":m05bRS.getString(2);
		            //else if (tabAux.equals("7")) 
		            	marca=m05bRS.getString(3);
		            //else if (tabAux.equals("12")) 
		            	ubicacion=m05bRS.getString(5)==null?"":m05bRS.getString(5).toUpperCase();
		            modelo= m05bRS.getString(6);
		        //}
		        /*matAux=m05bRS.getString(m05bConstantes.COL_34_MATRICULA);
		        if (matricula.equals(matAux)){
				    tabAux= m05bRS.getString(m05bConstantes.COL_99_CODTABLA);
		            if (tabAux.equals("1")) 
		            	color=m05bRS.getString(m05bConstantes.COL_99_DESCRIPCION);
		            else if (tabAux.equals("7")) 
		            	marca=m05bRS.getString(m05bConstantes.COL_99_DESCRIPCION);
		            else if (tabAux.equals("12")) 
		            	ubicacion=m05bRS.getString(m05bConstantes.COL_99_DESCRIPCION);
		        }
				else{% */  %>
			<div name='<%="veh" + contTotal%>'>
				<tr>
              	       <td> <input name='<%="chVeh" + contTotal%>' type="checkbox" class="inputFieldTitle" width="2%" ></td>
			   	   	   <td class="inputFieldTitle"><FONT size="1"><input type="hidden" name='<%="Matricula" + contTotal%>' value='<%=matricula%>' ><A href="JavaScript:fncCargarDatos('<%=kmact%>','<%=matricula%>','<%=marca%>','<%=modelo%>','<%=color%>','<%=kmsalid%>','<%=miCampo.getAviso(matricula, m05bConstantes.COL_02_ASIGNACION,campoTexto)%>')"><%=matricula%></A></FONT></td>
			     	   <td class="inputFieldTitle"><FONT size="1"><%=marca%></FONT></td>
			       	   <td class="inputFieldTitle"><FONT size="1"><%=modelo%></FONT></td>
			      	   <td class="inputFieldTitle"><FONT size="1"><%=color%></FONT></td>
                   	   <input type="hidden" name=<%="kmact"+contTotal%> value="<%=kmact%>"> 
	   		       	   <script>
                        		formatNumero(document.formCochesLibres.<%="kmact" + contTotal%>);
		   		       </script>
                   	   <td  class="inputFieldTitle" style="text-align: right" valign="top"><FONT size="1"><script> document.write(document.formCochesLibres.<%="kmact"+contTotal%>.value);</script></FONT></td>
	  				   <td align="left"><FONT size="1">
	     					  	  <select class="inputField"  NAME='<%="Ubicacion"+ contTotal%>' onchange="javascript: <%="chVeh" + contTotal%>.checked=true; return false;" onKeypress="buscar_op(this,this)" onblur="borrar_buffer()" onclick="borrar_buffer()">
	    					  	       <option value=""> </option>
	    					  	       	   <%=miCombo.popCombo( m05bConstantes.COL_99_CODDESC, "NVL("+strIdioma + m05bConstantes.COL_99_DESCRIPCION+","+m05bConstantes.COL_99_DESCRIPCION+")", m05bConstantes.TAB_DESCRIPCIONES, m05bConstantes.COL_99_CODTABLA, m05bConstantes.DESC_UBICACIONES, ubicacion )%>
	    					  	  </select></FONT>
	    				</td>
					</tr>
				<%/*
			           matricula=matAux;
			           modelo= m05bRS.getString(m05bConstantes.COL_17_DESCRIP);
			           color="";
			           marca="";
			           ubicacion="";
			           tabAux= m05bRS.getString(m05bConstantes.COL_99_CODTABLA);
			            if (tabAux.equals("1")) 
			            	color=m05bRS.getString(m05bConstantes.COL_99_DESCRIPCION);
			            else if (tabAux.equals("7")) 
			            	marca=m05bRS.getString(m05bConstantes.COL_99_DESCRIPCION);
			            else if (tabAux.equals("12")) 
			            	ubicacion=m05bRS.getString(m05bConstantes.COL_99_DESCRIPCION);

			    }  */
					if ((!(mensaje.equals("true"))) && (!(mensaje.equals("Temporal"))) ) {
							sql="insert into " + m05bConstantes.TAB_COCHESLIBRES + 
								" (" + m05bConstantes.COL_96_USUARIO + ", " +  m05bConstantes.COL_96_MATRICULA + 
								", " + m05bConstantes.COL_96_RANGO + ", " +  m05bConstantes.COL_96_MARCA + 
								", " +  m05bConstantes.COL_96_COLOR + 
								", IDCOLOR_96, " + m05bConstantes.COL_96_KMACT +
								", " + m05bConstantes.COL_96_UBICACION + ", " + m05bConstantes.COL_96_MODELO + ") " +
								" values " + 
								" ( '" + persona + "','" + matricula + "','" + rango + "' , '" + marca + 
								"','" + color + "','"+ idcolor + "','" + kmact + "' , '" + ubicacion + "' , '" + modelo + "' ) " ;
					    	pstmt = m05bConn.prepareStatement(sql);
							pstmt.executeUpdate();
							if (rs != null)
								rs.close();
							if (pstmt != null)
								pstmt.close();
			    	}
			    ++contTotal;
		    } %>
				<tr>
					<!--Meter en un campo oculto para poder coger su valor al tratar los cobros-->
			        <td> <input type='hidden' name="listaBD" VALUE=""></td>
					<td> <input type='hidden' name="DescRango" VALUE='<%=request.getParameter("DescRango")%>'></td>
				</tr>			        
			    <tr align="center">
					    <td class="inputField" colspan="7"><%= res.getString("etTotal")%><%=contTotal%></td>
			    </tr>
			</TABLE>
</FORM>
<%//@ include file="/mantenimientosJSP/includes/m05Pie_c.jsp"%>
<%
} catch (Exception SQLException) {
	m05bClasses.m05bFileLog miLog = new m05bClasses.m05bFileLog();
	miLog.addTraza(SQLException);
} finally {
			if (rs != null)
				rs.close();
			if (pstmt != null)
				pstmt.close();
			if (m05bRS != null)
				m05bRS.close();
			if (m05bPstmt != null)
				m05bPstmt.close();
			if (m05bConn != null)
				m05bConn.close();
}
%>
<SCRIPT language="JAVASCRIPT">
	
		   		function fncAvisos (texto) {
				  	alert(dameAlerta(idioma, 90) +  texto  );
		   		}// Fin  funcion Avisos	
		   			
		       function fncCargarDatos (kmact,matricula,marca,modelo,color,kmsal, aviso){
					// Mostrar aviso asociado si existe
	       	  	  	  if (aviso != "") { 
							fncAvisos(aviso);
					  }
		              opener.document.formAsignaciones.Matricula.value=matricula;
		              opener.document.formAsignaciones.Marca.value=marca;
		              opener.document.formAsignaciones.Modelo.value=modelo;
		              opener.document.formAsignaciones.Color.value=color;
		              opener.document.formAsignaciones.Kmsalida.value=kmsal;
		              opener.document.formAsignaciones.KmAct.value=kmact;
		              if (opener.document.formAsignaciones.Kmsalida.value != "") {
					  		formatNumero(opener.document.formAsignaciones.Kmsalida);
					  }
					  if (opener.document.formAsignaciones.KmAct.value != "") {
					  		formatNumero(opener.document.formAsignaciones.KmAct);
					  }
		              window.close();
		        }
	
			    function fncImprimir() {
					var docu = document.formCochesLibres;
					var url="m05bCochesLibresPDFJsp.jsp";
					url=url+"?Hoy=false&Desde=" + '<%=request.getParameter("Desde")%>' + "&Hasta=" + '<%=request.getParameter("Hasta")%>' ;
					url=url+"&HoraDesde=" + '<%=request.getParameter("HoraDesde")%>' + "&HoraHasta=" + '<%=request.getParameter("HoraHasta")%>';
					url=url+"&Rango=" + '<%=request.getParameter("Rango")%>';

			        docu.action=url;
			        docu.submit();
			    }            
	
			    function fncGrabar()  {
				    // Enviar en un array los datos modificados para grabar BD
				    var i,j=0;
			        var datosBD="";
			        var vehic, ubic;
			        var docu=document.formCochesLibres;
			        var cont = <%=contTotal%>;
			        ++cont;
			        for (i=0;i < cont;i++){
			            var actual=document.all("chVeh"+i);
			            if ( (actual != null) && (actual.checked==true) ) {
			   	            vehic=document.all("Matricula"+i).value;
			   	            if (datosBD != "") {
								datosBD = datosBD + "@" + vehic;  // Separarador entre vehiculos
				            } else {
				            	datosBD = datosBD + vehic;
				            }
				            
				            datosBD = datosBD + "#";  // Separarador entre matricula y ubicacion
							ubic=document.all("Ubicacion"+i).value;
							if ( (ubic =="")  || (ubic == null)) {
								ubic="null";
							}
							datosBD = datosBD + ubic;
			            }
			        }
			        docu.listaBD.value=datosBD;
			        /*var url="m05bGrabarUbicacionServlet?Rango=" + '<%=rango%>';
			        url=url + "&Desde=" + '<%=request.getParameter("Desde")%>' + "&Hasta=" + '<%=request.getParameter("Hasta")%>';
			        url=url + "&HoraDesde=" + '<%=request.getParameter("HoraDesde")%>' + "&HoraHasta=" + '<%=request.getParameter("HoraHasta")%>';*/
					var url="m05bGrabarUbicacionServlet";
			        docu.action=url;
					docu.submit();
	    		}
</SCRIPT>
</BODY>
</HTML>